<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta charset="<?php bloginfo('charset'); ?>"> 
	<?php wp_head(); ?>
	<?php 
	get_template_part('custom-color-css');
	$aneeq_theme_layout = get_theme_mod('aneeq_theme_layout', 'wide');
	$aneeq_boxed_layout_bgimg = get_theme_mod('aneeq_boxed_layout_bgimg', 'wood');
	?>
</head>

<body bgcolor="red" <?php body_class($aneeq_theme_layout); if($aneeq_theme_layout=='boxed'){ ?> style="background: rgba(0, 0, 0, 0) url(<?php echo esc_url(get_template_directory_uri() . '/css/icons/icons/'); ?><?php echo esc_attr($aneeq_boxed_layout_bgimg); ?>.jpg) repeat scroll 0 0;"<?php } ?>>
    <section class="wrapper">
		<header id="header">
			<?php 
			$aneeq_fb_link_disable      = 	get_theme_mod('aneeq_fb_link_disable', '1');
			$aneeq_tweet_link_disable   = 	get_theme_mod('aneeq_tweet_link_disable', '1');
			$aneeq_gplus_link_disable   = 	get_theme_mod('aneeq_gplus_link_disable', '1');
			$aneeq_insta_link_disable   = 	get_theme_mod('aneeq_insta_link_disable', '1');
			$aneeq_youtube_link_disable = 	get_theme_mod('aneeq_youtube_link_disable', '1');
			$aneeq_rss_link_disable     = 	get_theme_mod('aneeq_rss_link_disable', '1');

			$aneeq_topbar_section = get_theme_mod('aneeq_topbar_section', 'active');
			if($aneeq_topbar_section == 'active') { ?>
				<div id="top-bar">
					<div class="container">
						<div class="row">
							<div class="col-md-8 col-sm-6 col-xs-12 top-info">
								<span><i class="fa fa-phone"></i> <?php esc_html_e('Phone : ','aneeq') ?> <?php echo esc_attr(get_theme_mod('aneeq_phone_detail', '(+91) 900-900-900')); ?></span>
								<span><i class="fa fa-envelope"></i> <?php esc_html_e('Email : ','aneeq') ?> <?php echo esc_attr(get_theme_mod('aneeq_email_detaill', 'example@mymail.com')); ?></span>
							</div>
							<div class="col-md-4 col-sm-6 col-xs-12 top-info">
								<ul>
									<?php if($aneeq_fb_link_disable != '1') { ?><li><a href="<?php echo esc_url(get_theme_mod('aneeq_facebook_url', '')); ?>" target="_new"><i class="fa fa-facebook"></i></a></li><?php } ?>
									<?php if($aneeq_tweet_link_disable != '1') { ?><li><a href="<?php echo esc_url(get_theme_mod('aneeq_twitter_url', '')); ?>" target="_new"><i class="fa fa-twitter"></i></a></li><?php } ?>
									<?php if($aneeq_gplus_link_disable != '1') { ?><li><a href="<?php echo esc_url(get_theme_mod('aneeq_googleplus_url', '')); ?>" target="_new"><i class="fa fa-google-plus"></i></a></li><?php } ?>
									<?php if($aneeq_insta_link_disable != '1') { ?><li><a href="<?php echo esc_url(get_theme_mod('aneeq_instagram_url', '')); ?>" target="_new"><i class="fa fa-instagram"></i></a></li><?php } ?>
									<?php if($aneeq_youtube_link_disable != '1') { ?><li><a href="<?php echo esc_url(get_theme_mod('aneeq_youtube_url', '')); ?>" target="_new"><i class="fa fa-youtube"></i></a></li><?php } ?>
									<?php if($aneeq_rss_link_disable != '1') { ?><li><a href="<?php echo esc_url(get_theme_mod('aneeq_rss_url', '#')); ?>" target="_new"><i class="fa fa-rss"></i></a></li><?php } ?>
								</ul>
							</div>
						</div>
					</div>
				</div>	
			<?php } ?>
			<?php
				// logo settings
				$logo_type_aneeq = get_theme_mod('logo_type_aneeq', 'aneeq_logo_text');
				$aneeq_logo_text_name = get_theme_mod('aneeq_logo_text_name', '');
				$aneeq_logo_image_url = get_theme_mod('aneeq_logo_image_url', '');
			?>
			<div id="logo-bar">
				<div class="container">
					<div class="row">
						<!-- Logo / Mobile Menu -->
						<div class="col-lg-3 col-sm-3 ">
							<div id="logo">	
								<h2 class="logo-text">
									<a href="<?php echo esc_url(home_url( '/' )); ?>">
										<?php if($logo_type_aneeq == 'aneeq_logo_text') { ?>
											<?php if($aneeq_logo_text_name != "") { echo esc_html($aneeq_logo_text_name); } else { echo esc_attr( get_bloginfo( 'name' ) ); } ?>
										<?php } elseif($logo_type_aneeq == 'aneeq_logo_image') { (has_custom_logo()) ?>
											<img alt="<?php echo esc_attr( get_bloginfo( 'name', 'aneeq' ) ); ?>" src="<?php if($aneeq_logo_image_url != "") { echo esc_url($aneeq_logo_image_url); } else { echo esc_attr( get_bloginfo( 'name', 'aneeq' ) ); } ?>"/>
										<?php } ?>
									</a>
								</h2>
							</div>
						</div>
						<!-- Navigation -->
						<div class="site-header col-lg-9 col-sm-9">
							<div class="navbar navbar-default navbar-static-top" role="navigation">
								<!--  <div class="container">-->
								<div class="navbar-header">
									<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
										<span class="sr-only"> <?php esc_html_e('Toggle navigation','aneeq') ?></span>
										<span class="icon-bar"></span>
										<span class="icon-bar"></span>
										<span class="icon-bar"></span>
									</button>
								</div>
								<div class="navbar-collapse collapse">
									<?php
									
									$args = array(
										'theme_location'  	 => 'primary-menu',
										//'container'		 => false,
										'depth'              => 5,
										'menu_class'	 	 => 'nav navbar-nav navbar-right',
										'walker'		 	 => new Walker_Nav_Primary()
										
									);

									if (has_nav_menu('primary-menu')) {
										wp_nav_menu( $args ); 
									} 
									?>		
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</header>